Skip to content
API referencePlatformPlatform billing

Attach a card to the Tenant account on the PLATFORM processor

POST
/platform/v1/billing/account/payment-methods

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/account/payment-methods" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "provider_token": "string",    "vendor": "stripe"  }'
{  "brand": "string",  "created_at": "2019-08-24T14:15:22Z",  "exp_month": 0,  "exp_year": 0,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "is_default": true,  "last4": "string",  "vendor_type": "stripe"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}